Get Product Exemptions by Product
curl --request GET \
--url https://waas-staging.embedly.ng/api/v1/products/:productId/exemptions \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"productId": "<string>"
}
'import requests
url = "https://waas-staging.embedly.ng/api/v1/products/:productId/exemptions"
payload = { "productId": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({productId: '<string>'})
};
fetch('https://waas-staging.embedly.ng/api/v1/products/:productId/exemptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "00",
"success": true,
"message": "Retrieved Successfully",
"data": [
{
"id": "08ded1eb-8e2a-4be5-82aa-916a037bd139",
"productId": "3ca924c2-067d-11f1-b253-724d2c90adb1",
"keyId": "fcce8dba-47c9-11f0-a818-6045bd97b81d",
"keyType": "ORGANIZATION",
"organizationId": "fcce8dba-47c9-11f0-a818-6045bd97b81d",
"reason": "string",
"expiresAt": "2026-06-24T12:23:43",
"walletId": null,
"mode": "string",
"isActive": true,
"dateCreated": "2026-06-24T12:24:37",
"dateUpdated": null,
"dateDeleted": null,
"createdBy": "00000000-0000-0000-0000-000000000001",
"updatedBy": null,
"deletedBy": null
}
]
}
Wallet Restriction
Get Product Exemptions by Product
Retrieve exemptions for a specific product.
GET
/
api
/
v1
/
products
/
:productId
/
exemptions
Get Product Exemptions by Product
string
required
Path parameter: UUID of the product
{
"code": "00",
"success": true,
"message": "Retrieved Successfully",
"data": [
{
"id": "08ded1eb-8e2a-4be5-82aa-916a037bd139",
"productId": "3ca924c2-067d-11f1-b253-724d2c90adb1",
"keyId": "fcce8dba-47c9-11f0-a818-6045bd97b81d",
"keyType": "ORGANIZATION",
"organizationId": "fcce8dba-47c9-11f0-a818-6045bd97b81d",
"reason": "string",
"expiresAt": "2026-06-24T12:23:43",
"walletId": null,
"mode": "string",
"isActive": true,
"dateCreated": "2026-06-24T12:24:37",
"dateUpdated": null,
"dateDeleted": null,
"createdBy": "00000000-0000-0000-0000-000000000001",
"updatedBy": null,
"deletedBy": null
}
]
}
⌘I